package com.ruoyi.project.patrol.dev.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.dev.mapper.TDevWeathervaneMapper;
import com.ruoyi.project.patrol.dev.domain.TDevWeathervane;
import com.ruoyi.project.patrol.dev.service.ITDevWeathervaneService;

/**
 * 风向标/风向袋/新风系统正压计Service业务层处理
 * 
 * @author admin
 * @date 2023-11-06
 */
@Service
public class TDevWeathervaneServiceImpl implements ITDevWeathervaneService 
{
    @Autowired
    private TDevWeathervaneMapper tDevWeathervaneMapper;

    /**
     * 查询风向标/风向袋/新风系统正压计
     * 
     * @param id 风向标/风向袋/新风系统正压计主键
     * @return 风向标/风向袋/新风系统正压计
     */
    @Override
    public TDevWeathervane selectTDevWeathervaneById(Long id)
    {
        return tDevWeathervaneMapper.selectTDevWeathervaneById(id);
    }

    /**
     * 查询风向标/风向袋/新风系统正压计列表
     * 
     * @param tDevWeathervane 风向标/风向袋/新风系统正压计
     * @return 风向标/风向袋/新风系统正压计
     */
    @Override
    public List<TDevWeathervane> selectTDevWeathervaneList(TDevWeathervane tDevWeathervane)
    {
        return tDevWeathervaneMapper.selectTDevWeathervaneList(tDevWeathervane);
    }

    /**
     * 新增风向标/风向袋/新风系统正压计
     * 
     * @param tDevWeathervane 风向标/风向袋/新风系统正压计
     * @return 结果
     */
    @Override
    public int insertTDevWeathervane(TDevWeathervane tDevWeathervane)
    {
        return tDevWeathervaneMapper.insertTDevWeathervane(tDevWeathervane);
    }

    /**
     * 修改风向标/风向袋/新风系统正压计
     * 
     * @param tDevWeathervane 风向标/风向袋/新风系统正压计
     * @return 结果
     */
    @Override
    public int updateTDevWeathervane(TDevWeathervane tDevWeathervane)
    {
        return tDevWeathervaneMapper.updateTDevWeathervane(tDevWeathervane);
    }

    /**
     * 批量删除风向标/风向袋/新风系统正压计
     * 
     * @param ids 需要删除的风向标/风向袋/新风系统正压计主键
     * @return 结果
     */
    @Override
    public int deleteTDevWeathervaneByIds(Long[] ids)
    {
        return tDevWeathervaneMapper.deleteTDevWeathervaneByIds(ids);
    }

    /**
     * 删除风向标/风向袋/新风系统正压计信息
     * 
     * @param id 风向标/风向袋/新风系统正压计主键
     * @return 结果
     */
    @Override
    public int deleteTDevWeathervaneById(Long id)
    {
        return tDevWeathervaneMapper.deleteTDevWeathervaneById(id);
    }
}
